Toggle other choice
PUT
/multiple-choice/{id}/other
const url = 'https://app.surveyrock.com/api/v1/multiple-choice/example/other';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"isEnabled":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://app.surveyrock.com/api/v1/multiple-choice/example/other \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "isEnabled": true }'Toggle the ‘Other’ choice option
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
Multiple choice element ID
Request Bodyrequired
Section titled “Request Bodyrequired”Other choice toggle data
Media typeapplication/json
object
isEnabled
required
Whether to enable or disable the other choice
boolean
Examplegenerated
{ "isEnabled": true}Responses
Section titled “Responses”Other choice toggled successfully
Media typeapplication/json
object
success
boolean
data
object
isEnabled
boolean
updatedAt
string format: date-time
meta
Standard response metadata
object
timestamp
Response timestamp in ISO 8601 format
string format: date-time
version
API version
string
requestId
Unique request identifier
string
Example
{ "success": true, "meta": { "version": "3.0" }}